List orders
curl --request GET \
--url https://api.paygentic.io/v0/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paygentic.io/v0/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paygentic.io/v0/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "order",
"merchantId": "<string>",
"customerId": "<string>",
"resellerId": "<string>",
"taxExempt": true,
"sellingEntity": "<string>",
"currency": "<string>",
"cancelledAt": "2023-11-07T05:31:56Z",
"termStartDate": "2023-11-07T05:31:56Z",
"termEndDate": "2023-11-07T05:31:56Z",
"totalAmount": "<string>",
"defaultPaymentTermDays": 123,
"metadata": {},
"lineItems": [
{
"id": "<string>",
"object": "order_line_item",
"orderId": "<string>",
"quantity": "<string>",
"listUnitPrice": "<string>",
"discountUnitAmount": "<string>",
"unitPrice": "<string>",
"totalPrice": "<string>",
"termStartDate": "2023-11-07T05:31:56Z",
"termEndDate": "2023-11-07T05:31:56Z",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"itemId": "<string>",
"description": "<string>"
}
],
"billingSchedules": [
{
"id": "<string>",
"object": "billing_schedule",
"merchantId": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"billingAnchor": "2023-11-07T05:31:56Z",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"orderId": "<string>",
"subscriptionId": "<string>",
"paymentTermDays": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"closeDate": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Orders
List orders
GET
/
v0
/
orders
List orders
Authorizations
API key authentication
Query Parameters
Filter by merchant
Filter by customer
Filter by status
Available options:
draft, pending, approved, rejected, cancelled Filter by type
Available options:
new_business, renewal, expansion Required range:
1 <= x <= 100Required range:
x >= 0Was this page helpful?
⌘I